Docker Community Forums

Share and learn in the Docker community.

Insecure update error. With beta update


(Tim Haak) #1

Expected behavior

Update to not have an error :slight_smile:

Actual behavior

Insecure update error! For security reasons, you need to sign your updates with a DSA key. See Sparkle’s documentation for more information

Seems that they update is not signed properly or something else has gone wrong.

Information

Not a docker bug but with the update system.

Screen shot

pinata diagnose -u
OS X: version 10.11.5 (build: 15F34)
Docker.app: version v1.11.1-beta12
Running diagnostic tests:
[OK] Moby booted
[OK] driver.amd64-linux
[OK] vmnetd
[OK] osxfs
[OK] db
[OK] slirp
[OK] menubar
[OK] environment
[OK] Docker
[OK] VT-x
Error exec: echo “00000003.0000f3a6” | nc -U /Users/timhaak/Library/Containers/com.docker.docker/Data/@connect > /tmp/20160522-205500/diagnostics.tar: exit 1
Docker logs are being collected into /tmp/20160522-205500.tar.gz
Most specific failure is: No error was detected
Your unique id is: B89807DC-644F-41F0-9C1F-2647C0EAFF4E

Steps to reproduce the behavior

When I click update I get the same error.


(Point) #2

Yup, me too still with a later beta.

pinata diagnose -u
OS X: version 10.11.5 (build: 15F34)
Docker.app: version: v1.11.1-beta14.5.m
Running diagnostic tests:
[OK] docker-cli
[OK] Moby booted
[OK] driver.amd64-linux
[OK] vmnetd
[OK] osxfs
[OK] db
[OK] slirp
[OK] menubar
[OK] environment
[OK] Docker
[OK] VT-x
Docker logs are being collected into /tmp/20160610-112847.tar.gz
Most specific failure is: No error was detected
Your unique id is: 9E285D96-14F6-4DFA-BB5D-0EE01B28162F
Please quote this in all correspondence.